Subject: bug#26634: 26.0.50; The network security manager doesn't understand IDNA domains

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 Apr 2018 17:19:51 +0200

Robert Pluim <[email-masked]> writes:

> Thatʼs not what you have there. The first component of your FQDN is
> 100% cyrillic.

My FQDM?  "gnus.org"?  That's not very cyrillic.  :-)

> Did you mean <https://appӏe.com> ?

No, I meant https://аррӏе.com which is a totally different domain.  :-)

Hm...  Oh, that's the 100% cyrillic one.  :-)  This is so confusing.

So eww definitely does the right thing with the mixed-script аррӏе.com,
and I guess there's nothing to be done with the 100%-cyrillic case...

> (FWIW, chrome is supposed to detect the 100% cyrillic case, but
> doesnʼt as far as I can tell)

What does Chrome do with that URL?

Oh, I've got Chromium here, so I can just test...

It displays https://xn--80ak6aa92e.com/ in the address bar.  Which
is...  I guess...  a choice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no